karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Unresolved requirements: [[custom_jar [12](R 12.0)] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0)))]
Date Mon, 29 Jun 2015 12:06:38 GMT
Hi,

is the etc/system.properties and etc/jre.properties up to date (coming 
from the K4 distribution) ?

Regards
JB

On 06/29/2015 10:38 AM, rcbandit wrote:
> Sometimes when I start Karaf I get this exception:
>
> 2015-06-29 11:34:41,710 | ERROR | top\Agent/deploy | BundlesList
> | 9 - System_Install - 1.0.0 |
> org.osgi.framework.BundleException: Unable to resolve custom_jar [12](R
> 12.0): missing requirement [custom_jar [12](R 12.0)] osgi.wiring.package;
> (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0)))
> Unresolved requirements: [[custom_jar [12](R 12.0)] osgi.wiring.package;
> (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0)))]
> 	at
> org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4114)[org.apache.felix.framework-5.0.1.jar:]
>
> Looks like the env jars are not deployed. Is there any workaround for this
> issue?
>
>
>
> --
> View this message in context: http://karaf.922171.n3.nabble.com/Unresolved-requirements-custom-jar-12-R-12-0-osgi-wiring-package-osgi-wiring-package-org-osgi-framew-tp4041134.html
> Sent from the Karaf - Dev mailing list archive at Nabble.com.
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message